<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Print Prime Number</title>
  </head>
  <body>
    <h1>Program for Print Prime Number for Given Range</h1>
    <script>
      //Take Range Inputs from User

      var lowerNum = parseInt(prompt("Enter The Lower Number Of Range:"));
      var higherNum = parseInt(prompt("Enter The Higher Number Of Range:"));

      console.log(
        `The prime numbers between ${lowerNum} and ${higherNum} are:`
      );

      // looping from lowerNumber to higherNumber
      for (let i = lowerNum; i <= higherNum; i++) {
        let flag = 0;

        // looping through 2 to user input number
        for (let j = 2; j < i; j++) {
          if (i % j == 0) {
            flag = 1;
            break;
          }
        }

        // if number greater than 1 and not divisible by other numbers
        if (i > 1 && flag == 0) {
          console.log(i);
        }
      }
    </script>
  </body>
</html>
